Bug 1901736

Summary: additionalSecurityGroupIDs not working for master nodes
Product: OpenShift Container Platform Reporter: OpenShift BugZilla Robot <openshift-bugzilla-robot>
Component: InstallerAssignee: Pierre Prinetti <pprinett>
Installer sub component: OpenShift on OpenStack QA Contact: weiwei jiang <wjiang>
Status: CLOSED ERRATA Docs Contact:
Severity: high    
Priority: high CC: maemmanu, pprinett
Version: 4.6Keywords: UpcomingSprint
Target Milestone: ---   
Target Release: 4.6.z   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Cause: Control Plane ports were not assigned the additional user-defined Security groups Consequence: Additional user-defined Security group rules were not properly applied to Control plane nodes Fix: The additional user-defined Security groups are now assigned to the Control plane nodes ports Result: Additional user-defined security groups now correctly apply to Control plane nodes.
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-01-18 17:59:29 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1899853    
Bug Blocks:    

Comment 3 weiwei jiang 2020-12-28 02:08:32 UTC
The latest 4.6 nightly is 4.6.0-0.nightly-2020-12-21-110104 which do not contain the fix yet.

# openstack server show wj46ios1228a-txcd4-master-0
+-----------------------------+---------------------------------------------------------------------------+
| Field                       | Value                                                                     |
+-----------------------------+---------------------------------------------------------------------------+
| OS-DCF:diskConfig           | MANUAL                                                                    |
| OS-EXT-AZ:availability_zone | nova                                                                      |
| OS-EXT-STS:power_state      | Running                                                                   |
| OS-EXT-STS:task_state       | None                                                                      |
| OS-EXT-STS:vm_state         | active                                                                    |
| OS-SRV-USG:launched_at      | 2020-12-28T01:53:54.000000                                                |
| OS-SRV-USG:terminated_at    | None                                                                      |
| accessIPv4                  |                                                                           |
| accessIPv6                  |                                                                           |
| addresses                   | wj46ios1228a-txcd4-openshift=192.168.1.39                                 |
| config_drive                |                                                                           |
| created                     | 2020-12-28T01:53:11Z                                                      |
| flavor                      | m1.xlarge (3f183920-6cba-4bfb-ab3a-599559cf0f97)                          |
| hostId                      | 5794541203cbf159712c091c9ab73ecbb07c54fe5d1bab84b4da2a89                  |
| id                          | 26901d48-9dce-4ec0-a2d5-cd7b1cd51f1e                                      |
| image                       | wj46ios1228a-txcd4-rhcos (5fd1cac3-b90f-4e2f-b9f9-ae2ed35f1ad9)           |
| key_name                    | None                                                                      |
| name                        | wj46ios1228a-txcd4-master-0                                               |
| progress                    | 0                                                                         |
| project_id                  | 542c6ebd48bf40fa857fc245c7572e30                                          |
| properties                  | Name='wj46ios1228a-txcd4-master', openshiftClusterID='wj46ios1228a-txcd4' |
| security_groups             | name='wj46ios1228a-txcd4-master'                                          |
| status                      | ACTIVE                                                                    |
| updated                     | 2020-12-28T01:53:54Z                                                      |
| user_id                     | b414646065ab99780ef1bbcba52c07d2033a6f99fd0b10a3b1b12fcb5e5275e1          |
| volumes_attached            |                                                                           |
+-----------------------------+---------------------------------------------------------------------------+
# openstack server show wj46ios1228a-txcd4-worker-0-l2qvw
+-----------------------------+---------------------------------------------------------------------------+
| Field                       | Value                                                                     |
+-----------------------------+---------------------------------------------------------------------------+
| OS-DCF:diskConfig           | MANUAL                                                                    |
| OS-EXT-AZ:availability_zone | nova                                                                      |
| OS-EXT-STS:power_state      | Running                                                                   |
| OS-EXT-STS:task_state       | None                                                                      |
| OS-EXT-STS:vm_state         | active                                                                    |
| OS-SRV-USG:launched_at      | 2020-12-28T02:04:06.000000                                                |
| OS-SRV-USG:terminated_at    | None                                                                      |
| accessIPv4                  |                                                                           |
| accessIPv6                  |                                                                           |
| addresses                   | wj46ios1228a-txcd4-openshift=192.168.3.72                                 |
| config_drive                |                                                                           |
| created                     | 2020-12-28T02:03:27Z                                                      |
| flavor                      | m1.large (a9acc2de-39d7-4148-8d16-413c3b696e9d)                           |
| hostId                      | 2113bc59c581fb6d4a4ea4238fbf4316585cf6f8a23e3f046c7865ce                  |
| id                          | fa081950-65f7-4612-8ea0-1f52a1761c38                                      |
| image                       | wj46ios1228a-txcd4-rhcos (5fd1cac3-b90f-4e2f-b9f9-ae2ed35f1ad9)           |
| key_name                    | None                                                                      |
| name                        | wj46ios1228a-txcd4-worker-0-l2qvw                                         |
| progress                    | 0                                                                         |
| project_id                  | 542c6ebd48bf40fa857fc245c7572e30                                          |
| properties                  | Name='wj46ios1228a-txcd4-worker', openshiftClusterID='wj46ios1228a-txcd4' |
| security_groups             | name='wj46ios1228a-txcd4-worker'                                          |
|                             | name='default'                                                            |
| status                      | ACTIVE                                                                    |
| updated                     | 2020-12-28T02:04:06Z                                                      |
| user_id                     | b414646065ab99780ef1bbcba52c07d2033a6f99fd0b10a3b1b12fcb5e5275e1          |
| volumes_attached            |                                                                           |
+-----------------------------+---------------------------------------------------------------------------+

Comment 4 Pierre Prinetti 2020-12-28 23:05:07 UTC
Indeed, the patch merged 2020-12-22T23:43:00Z. I am moving back to ON_QA because there is nothing I can do right now.

Comment 5 weiwei jiang 2021-01-04 05:38:47 UTC
Checked with 4.6.0-0.nightly-2021-01-03-162024, and it's fixed now.

./openshift-install 4.6.0-0.nightly-2021-01-03-162024
built from commit eded5eb5b6c77e2af2a2c537093da8bf3711f494
release image registry.ci.openshift.org/ocp/release@sha256:1004f37482f3f3e850d9b27bee6cd95cb80a4f167b56bf368a4f103c560a74fa


# openstack server show wj46ios0104d-p8hns-master-0
+-----------------------------+---------------------------------------------------------------------------+
| Field                       | Value                                                                     |
+-----------------------------+---------------------------------------------------------------------------+
| OS-DCF:diskConfig           | MANUAL                                                                    |
| OS-EXT-AZ:availability_zone | nova                                                                      |
| OS-EXT-STS:power_state      | Running                                                                   |
| OS-EXT-STS:task_state       | None                                                                      |
| OS-EXT-STS:vm_state         | active                                                                    |
| OS-SRV-USG:launched_at      | 2021-01-04T05:04:56.000000                                                |
| OS-SRV-USG:terminated_at    | None                                                                      |
| accessIPv4                  |                                                                           |
| accessIPv6                  |                                                                           |
| addresses                   | wj46ios0104d-p8hns-openshift=192.168.3.97                                 |
| config_drive                |                                                                           |
| created                     | 2021-01-04T05:03:56Z                                                      |
| flavor                      | m1.xlarge (3f183920-6cba-4bfb-ab3a-599559cf0f97)                          |
| hostId                      | 62145c6092cbc59004b906a6eb66cc0a4727462d3ef18ea6941854c0                  |
| id                          | 8496a442-c06b-4cc3-b1a4-72c7071f8a2b                                      |
| image                       | wj46ios0104d-p8hns-rhcos (9380d330-4bcb-46c9-9859-ed588168914a)           |
| key_name                    | None                                                                      |
| name                        | wj46ios0104d-p8hns-master-0                                               |
| progress                    | 0                                                                         |
| project_id                  | 542c6ebd48bf40fa857fc245c7572e30                                          |
| properties                  | Name='wj46ios0104d-p8hns-master', openshiftClusterID='wj46ios0104d-p8hns' |
| security_groups             | name='wj46ios0104d-p8hns-master'                                          |
|                             | name='default'                                                            |
| status                      | ACTIVE                                                                    |
| updated                     | 2021-01-04T05:04:56Z                                                      |
| user_id                     | b414646065ab99780ef1bbcba52c07d2033a6f99fd0b10a3b1b12fcb5e5275e1          |
| volumes_attached            |                                                                           |
+-----------------------------+---------------------------------------------------------------------------+
# openstack server show wj46ios0104d-p8hns-worker-0-f7sjq
+-----------------------------+---------------------------------------------------------------------------+
| Field                       | Value                                                                     |
+-----------------------------+---------------------------------------------------------------------------+
| OS-DCF:diskConfig           | MANUAL                                                                    |
| OS-EXT-AZ:availability_zone | nova                                                                      |
| OS-EXT-STS:power_state      | Running                                                                   |
| OS-EXT-STS:task_state       | None                                                                      |
| OS-EXT-STS:vm_state         | active                                                                    |
| OS-SRV-USG:launched_at      | 2021-01-04T05:11:45.000000                                                |
| OS-SRV-USG:terminated_at    | None                                                                      |
| accessIPv4                  |                                                                           |
| accessIPv6                  |                                                                           |
| addresses                   | wj46ios0104d-p8hns-openshift=192.168.3.43                                 |
| config_drive                |                                                                           |
| created                     | 2021-01-04T05:11:27Z                                                      |
| flavor                      | m1.large (a9acc2de-39d7-4148-8d16-413c3b696e9d)                           |
| hostId                      | 05abec162e5e4aa06054610eeb0411c434e15b723dee0bde6f005974                  |
| id                          | e8e79fd2-2956-4726-bcef-18698f59b516                                      |
| image                       | wj46ios0104d-p8hns-rhcos (9380d330-4bcb-46c9-9859-ed588168914a)           |
| key_name                    | None                                                                      |
| name                        | wj46ios0104d-p8hns-worker-0-f7sjq                                         |
| progress                    | 0                                                                         |
| project_id                  | 542c6ebd48bf40fa857fc245c7572e30                                          |
| properties                  | Name='wj46ios0104d-p8hns-worker', openshiftClusterID='wj46ios0104d-p8hns' |
| security_groups             | name='wj46ios0104d-p8hns-worker'                                          |
|                             | name='default'                                                            |
| status                      | ACTIVE                                                                    |
| updated                     | 2021-01-04T05:11:46Z                                                      |
| user_id                     | b414646065ab99780ef1bbcba52c07d2033a6f99fd0b10a3b1b12fcb5e5275e1          |
| volumes_attached            |                                                                           |
+-----------------------------+---------------------------------------------------------------------------+

Comment 8 errata-xmlrpc 2021-01-18 17:59:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.6.12 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0037